## biosig4c++-1.7.2.src.tar.gz

=== DESCRIPTION ===
Name: BioSig
Version: 1.7.2
Date: 2015-08-27
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: BioSig
Description: A software library for biomedical signal processing.
Depends: octave (> 2.9.0),
License: GPL version 3 or later
Url: http://biosig.sf.net

=== Makefile ===
####### Makefile for "BioSig for C/C++" #####################
###
###  Copyright (C) 2006-2015 Alois Schloegl <alois.schloegl@ist.ac.at>
###  This file is part of the "BioSig for C/C++" repository
###  (biosig4c++) at http://biosig.sf.net/
###
##############################################################

##### Target: GNU/Linux
#
## make && make install    build and install libbiosig, but no other tools.
#             libbiosig is a prerequisite for building all the other tools below.
#
## make save2gdf   - makes converter
## make install_save2gdf   - installs converter
#
## make mex4o      - makes mexSLOAD, mexSOPEN for Octave (requires Octave-headers)
## make mex4m      - makes mexSLOAD, mexSOPEN for Matlab (requires Matlab, mex -setup must be configured)
## make mexw32     - makes mexSLOAD.mexw32, mexSOPEN.mexw32 (requires that mingw32, gnumex libraries from Matlab/Win32)
## make mexw64     - makes mexSLOAD.mexw64, mexSOPEN.mexw64 (requires that mce-w32, gnumex libraries from Matlab/Win64)
## make mex        - mex4o, mex4m, mexw32, mexw64 combined
## make biosig4python - makes python interface (requires Python)
## make biosig4java - makes Java interface (experimental)
## make biosig4php - makes PHP interface (experimental)
## make biosig4perl - makes perl interface (experimental)
## make biosig4ruby - makes ruby interface (experimental)
## make biosig4tcl - makes tcl/tk interface (experimental)
##
## make win32 and make win64 are obsolete. save2gdf.exe, and libbiosig.{a,dll} for windows can now be built
## with the mingw-cross-compiler environment (mxe.cc).
##    git clone https://github.com/schloegl/mxe.git
##    make biosig
## should do what you want. Please note, that win32mma does now also rely that libbiosig is built with MXE.
## Make sure that CROSS or CROSS64 is properly defined when running `make`
##
## ???
## make sigviewer  - makes sigviewer

##### Target: Win32
## make win32      - makes save2gdf.exe,libbiosig.lib,libbiosig.dll, for MSWindows, requires MinGW
## make mexw32 mex/mexSLOAD.mexw32   - requires MinGW32 and GNUMEX libraries from Matlab/Win32
## make win32/sigviewer.exe 	- requires sources of SigViewer, and MinGW32 (mex: make suitesparse zlib qt )

##### Target: Win64
## make win64      - makes save2gdf.exe,libbiosig.lib,libbiosig.dll, for MSWindows, requires MinGW
## make mexw64 mex/mexSLOAD.mexw64   - requires MCE-W64 and GNUMEX libraries from Matlab/Win64
## make win64/sigviewer.exe 	- requires sources of SigViewer and MCE-W64, make suitesparse zlib qt 

##### Target: MacOSX w/ homebrew
## make install_homebrew	installs libbiosig and save2gdf
	# requires: brew tap homebrew/dupes
	#	    brew install libiconv

###############################
# whether dynamic or static linking is used, can be controlled with
# LIBEXT. Setting it to 'a' links statically, 'so' links dynamically
#
LIBEXT        = a
#LIBEXT	      = so
###############################

### User-specified options: its likely you want to change this
# settings for cross compiler: tested with MXE and mce-w64 with make suitesparse zlib qt ; 
CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-w64-mingw32.static
## local MXE
ifeq "$(wildcard $(CROSS)-gcc)" ""
CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static
endif
ifeq "$(wildcard $(CROSS)-gcc)" ""
CROSS         = $(shell pwd)/../mxe/usr/bin/i686-w64-mingw32.static
endif
ifeq "$(wildcard $(CROSS)-gcc)" ""
CROSS         = /usr/local/src/mxe/usr/bin/i686-w64-mingw32.static
endif

CROSS64       = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32.static
ifeq "$(wildcard $(CROSS64)-gcc)" ""
CROSS64       = $(shell pwd)/../mce-w64/usr/bin/x86_64-static-mingw32.static
endif
IO_H_FILE   := $(subst /bin/,//,$(CROSS))/include/io.h
IO_H_FILE64 := $(subst /bin/,//,$(CROSS64))/include/io.h

# settings for mex files
MEX_OPTION    = -largeArrayDims # turn on for 64 bit Matlab, otherwise empty
# directory for sources of sigviewer
PathToSigViewer = ../sigviewer
PathToSigViewerWIN32 = ../sigviewer4win32
PathToSigViewerWIN64 = ../sigviewer4win64

CFLAGS       += -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -pipe -fPIC -fno-builtin-memcmp -O2 -Wno-unused-result
CFLAGS       += -Wno-deprecated
CFLAGS       += -D_GNU_SOURCE
CXXFLAGS      = $(CFLAGS)

## TARGET dependencies
ifeq (,$(TARGET))
	CC      ?= gcc
	CXX     ?= g++
	AR      := ar rcs
	PKGCONF := pkg-config
ifneq (Darwin,$(shell uname))
	LFLAGS  += -Wl,-z,relro,-z,now
endif
else ifeq (intel,$(TARGET))
	CC      := /opt/intel/bin/icc
	CXX     := /opt/intel/bin/icc
	LD      := /opt/intel/bin/xild
	AR      := /opt/intel/bin/xiar crs
else 
	prefix  := $(dir $(shell which $(TARGET)-gcc))
	CC      := $(TARGET)-gcc
	CXX     := $(TARGET)-g++
	LD      := $(TARGET)-ld
	AR      := $(TARGET)-ar rcs
	PKGCONF := $(TARGET)-pkg-config
	ifeq (mingw, $(findstring mingw, $(TARGET)))
		## add gnulib's getlogin
		SOURCES += win32/getlogin.c win32/getline.c win32/getdelim.c
		OBJECTS += getlogin.o getline.o getdelim.o
		## exclude conflicting definition of sopen from mingw's io.h
		CFLAGS  += -I.
		IO_H_FILE2 = io.h
		LIBS    += -lssp
		LDLIBS  += -liconv -liberty -lws2_32
	endif
endif

ifeq (Darwin,$(shell uname))
	## Homebrew:
	##	brew tap homebrew/dupes
	##	brew install libiconv
	##
	LD	       = ld
	CFLAGS        += -I/usr/local/opt/libiconv/include
	LDLIBS        += -L/usr/local/opt/libiconv/lib/ -liconv -lstdc++
	LDFLAGS        += -dylib -arch x86_64 -macosx_version_min 10.9
	DLEXT          = dylib
	FULLDLEXT      = ${BIOSIG_VERSION}.dylib
	SONAME_PREFIX  = -install_name # the last space character is crucial
	SONAME_POSTFIX = .${MAJOR_VERSION}.${MINOR_VERSION}.$(DLEXT)
else
	LD	       = $(CXX)
	LDFLAGS       += -shared
	DLEXT          = so
	FULLDLEXT      = so.${BIOSIG_VERSION}
	SONAME_PREFIX  = -Wl,-soname=
	SONAME_POSTFIX = .$(DLEXT).${MAJOR_VERSION}.${MINOR_VERSION}
endif

ifeq (,$(prefix))
	prefix  := /usr/local
endif

DEFINES_ALL   = #-D=NDEBUG

DEFINES      += $(DEFINES_ALL)
#DEFINES      += -D=WITH_SON 
#DEFINES      += -D=WITHOUT_SCP_DECODE
#DEFINES      += -D=WITH_TIMESTAMPEVENT
#DEFINES      += -D=WITH_TIMESTAMPCHANNEL
DEFINES      += -D=WITH_ZLIB 
DEFINES      += -D=WITH_PTHREAD
#DEFINES      += -D=WITH_CURL
DEFINES      += -D=__4HAERTEL__
DEFINES      += -D=WITH_FAMOS
DEFINES      += -D=WITH_FIFF
DEFINES      += -D=WITH_CHOLMOD
DEFINES      += -D=WITHOUT_NETWORK
#DEFINES      += -D=WITH_HDF
#DEFINES      += -D=WITH_MATIO
#DEFINES      += -D=WITH_LIBXML2 
DEFINES      += -D=WITH_FEF
#DEFINES      += -D=WITH_PDP
#DEFINES      += -D=WITH_DCMTK
#DEFINES      += -D=WITH_DICOM
#DEFINES      += -D=WITH_GDCM
#DEFINES      += -D=WITH_GSL
#DEFINES      += -D=WITH_EEPROBE
#DEFINES      += -D=WITH_TDMS
#DEFINES      += -D=WITH_ATF
#DEFINES      += -D=WITH_AVI
#DEFINES      += -D=WITH_RIFF
#DEFINES      += -D=WITH_WAV
#DEFINES      += -D=WITH_NEV
DEFINES      += -D=MAKE_EDFLIB



ifneq (,$(findstring WITH_GDCM, $(DEFINES)))
  INCPATH    += -I$(wildcard /usr/include/gdcm-2*/)
  LDLIBS     += -lgdcmCommon -lgdcmDSED -lgdcmMEXD -lgdcmMSFF -lgdcmDICT -lgdcmIOD
endif
ifneq (,$(findstring WITH_ZLIB, $(DEFINES)))
  LDLIBS     += -lz
endif
ifneq (,$(findstring WITH_PTHREAD, $(DEFINES)))
  LDLIBS     += -lpthread
endif
ifneq (,$(findstring WITH_CHOLMOD, $(DEFINES)))
  LDLIBS     += -lcholmod
endif
ifneq (,$(findstring WITH_LIBXML2, $(DEFINES)))
  LDLIBS     += -lxml2
endif
ifneq (,$(findstring WITH_CURL, $(DEFINES)))
  LDLIBS     += -lcurl
endif
ifneq (,$(findstring WITH_HDF, $(DEFINES)))
  LDLIBS     += -lhdf5
endif
ifneq (,$(findstring WITH_DCMTK, $(DEFINES)))
  LDLIBS     += -ldcmdata -loflog -lofstd
endif
ifneq (,$(findstring WITH_MATIO, $(DEFINES)))
  LDLIBS     += -lmatio
endif
ifneq (,$(findstring stack-protector, $(CFLAGS)))
ifneq (,$(findstring CYGWIN, $(shell uname)))
  LDLIBS     += -lssp -liconv
endif 
endif

LIBS         += $(LDLIBS)

DELETE        = rm -f
COPY          = cp -f
DATA_DIR      = data/
DATA_DIR_CFS  = $(HOME)/L/data/test/CFS/
TEMP_DIR      = test/
SED           = sed
VERBOSE	     := -V0

##########################################################
## set Matlab and Octave variables
ifeq (undefined,$(origin MATLABDIR))
  ifeq (Darwin,$(shell uname))
    MATLABDIR := $(shell find /Applications/MATLAB* -name bin -type d -depth 1 | head -1)
  else
    MATLABDIR ?= $(shell find /usr/local/MATLAB* -maxdepth 2 -name bin -type d | head -1)
  endif
endif

ifeq (,$(MATLABDIR))
  $(warning MATLABDIR is not defined)
else
  MEX         = $(MATLABDIR)/mex
  MEX_EXT    := $(shell $(MATLABDIR)/mexext)
endif


# use environment variable to define OCTAVE_VERSION
#   e.g. export OCTAVE_VERSION=-3.6.2
# Octave - global install  (e.g. from debian package)
#OCTAVE_VERSION = 
# Octave - local install (e.g. compiled from sources) 
#OCTAVE_VERSION = -3.6.1

OCT           := mkoctfile$(OCTAVE_VERSION)
##########################################################

##########################################################
## set variables for Python
SWIG           := swig
PYTHON         := python
PYTHONVER      := $(shell $(PYTHON) -c "import sys; print(sys.version[:3])")
NUMPY_INC      := $(shell $(PYTHON) -c "import numpy.distutils.misc_util as mu; print(' -I'.join(mu.get_numpy_include_dirs()))")
PYTHON_INCPATH := /usr/include/python$(PYTHONVER)/
PYTHON_LIB     := python$(PYTHONVER)

 
##########################################################
## set variables for MinGW Crosscompiler: compile on linux binaries for windows
##
PathToMinGW   = $(dir $(CROSS))..$(nondir $(CROSS))
PathToMinGW64 = $(dir $(CROSS64))..$(nondir $(CROSS64))

MinGWCC      = $(CROSS)-gcc
MinGWCXX     = $(CROSS)-g++
MinGWDEF     = $(DEFINES) 
MinGWCFLAGS  = -pipe -fPIC  -D_REENTRANT -D=BUILD_DLL $(MinGWDEF) -Iwin32 -I$(PathToMinGW)/include/
MinGWLIBS    = win32/libbiosig.a -L$(PathToMinGW)/lib/ $(LDLIBS) # static
MinGWLINK    = $(MinGWCXX)

MinGW64CC      = $(CROSS64)-gcc
MinGW64CXX     = $(CROSS64)-g++
MinGW64CFLAGS  = -pipe -fPIC -O2 -D_REENTRANT -D=BUILD_DLL $(MinGWDEF) -Iwin64 -I$(PathToMinGW64)/include/
MinGW64LIBS    = win64/libbiosig.a -L$(PathToMinGW64)/lib/ $(LDLIBS) # static
MinGW64LINK    = $(MinGW64CXX)
##########################################################

# Versioning
MAJOR_VERSION  := $(word 3, $(shell grep '\#define BIOSIG_VERSION_MAJOR' biosig.h))
MINOR_VERSION  := $(word 3, $(shell grep '\#define BIOSIG_VERSION_MINOR' biosig.h))
STEPPING       := $(word 3, $(shell grep '\#define BIOSIG_PATCHLEVEL' biosig.h))
BIOSIG_VERSION := ${MAJOR_VERSION}.${MINOR_VERSION}.${STEPPING}
TODAY          := $(shell date +%Y%m%d)

####### External directory
ifneq (`ls -l extern |wc -l`,1)
  EXTERN  = extern
else
  EXTERN  = ../biosig4matlab/doc
endif

####### Output directory
OBJ	      = ./obj
INC	      = $(DESTDIR)$(prefix)/include
BIN	      = $(DESTDIR)$(prefix)/bin
LIB	      = $(DESTDIR)$(prefix)/lib


####### Files
SOURCES      += biosig.c \
		t210/sopen_cfs_read.c \
		t210/sopen_heka_read.c \
		t210/sopen_igor.c \
		t210/sopen_scp_read.c \
		t210/sopen_famos_read.c \
		t210/sopen_abf_read.c \
		t210/sopen_alpha_read.c \
		t210/sopen_axg_read.c \
		t210/scp-decode.cpp \
		t220/sopen_scp_write.c \
		t220/crc4scp.c \
		t230/sopen_hl7aecg.cpp \
		t240/sopen_fef_read.c \
		test0/sandbox.c \
		xgethostname.c \
		gdftime.c \
		mdc_ecg_codes.c \
		physicalunits.c \
		biosig-network.c \
		save2gdf.c \
		biosig_client.c \
		biosig_server.c

ifeq (,$(findstring WITH_LIBXML2, $(DEFINES)))
  ## TinyXML is used when built without libxml2 	
  SOURCES    +=	XMLParser/tinyxml.cpp \
		XMLParser/tinyxmlparser.cpp \
		XMLParser/tinyxmlerror.cpp \
		XMLParser/tinystr.cpp 
endif

OBJECTS      += \
		crc4scp.o \
		biosig.o \
		sopen_cfs_read.o \
		sopen_heka_read.o \
		sopen_igor.o \
		sopen_scp_read.o \
		sopen_abf_read.o \
		sopen_alpha_read.o \
		sopen_axg_read.o \
		sopen_scp_write.o \
		sopen_hl7aecg.o \
		biosig-network.o \
		gdftime.o \
		mdc_ecg_codes.o \
		physicalunits.o \
		sandbox.o \
		xgethostname.o

MinGWOBJECTS  = \

=== t240/Makefile ===
ASN_MODULE_SOURCES=	\
	Address.c	\
	MetricMeasure.c	\
	UnitCode.c	\
	HealthCareProviderId.c	\
	INT-U64.c	\
	INT-I64.c	\
	INT-U32.c	\
	INT-I32.c	\
	INT-U16.c	\
	INT-I16.c	\
	INT-U8.c	\
	INT-I8.c	\
	BITS-32.c	\
	BITS-16.c	\
	BITS-8.c	\
	FEFString.c	\
	FEFFloat.c	\
	Fraction.c	\
	AbsoluteRange.c	\
	Handle.c	\
	HandleRef.c	\
	DeviceCode.c	\
	UnitsOfMeasurementCode.c	\
	MetricsCode.c	\
	BodySiteCode.c	\
	AlertCode.c	\
	ExtNomenclatureCode.c	\
	ParameterGroupCode.c	\
	PrivateCode.c	\
	Placeholder.c	\
	ManufacturerID.c	\
	AbsoluteTime.c	\
	RelativeTime.c	\
	HighResRelativeTime.c	\
	ObservationTime.c	\
	SimpleColour.c	\
	ExtNomenRef.c	\
	PersonNameGroup.c	\
	PersonName.c	\
	OID-Type.c	\
	SessionArchiveSection.c	\
	ArchiveProtection.c	\
	ManufacturerSpecificSection.c	\
	ManufacturerSpecificEncoded.c	\
	ManufacturerSpecificBinary.c	\
	HealthCareProviderSection.c	\
	HealthCareProfessionalSection.c	\
	Authorization.c	\
	PatientDemographicsSection.c	\
	PatMeasure.c	\
	PatientSex.c	\
	PatientType.c	\
	PatientRace.c	\
	SessionTestSection.c	\
	MedicalDeviceSystemSection.c	\
	SystemModel.c	\
	SystemSpecEntry.c	\
	ProdSpecEntryType.c	\
	ProdSpecEntry.c	\
	ApplicationArea.c	\
	PowerStatus.c	\
	LineFrequency.c	\
	MedicalDeviceComponents.c	\
	VirtualMedicalDeviceSection.c	\
	MsmtPrinciple.c	\
	ChannelDescriptionSection.c	\
	ChannelStatus.c	\
	MultimediaSection.c	\
	Comments.c	\
	ContentOrReference.c	\
	SessionPhaseSection.c	\
	DescriptiveDataSection.c	\
	MetricDescriptiveDataSection.c	\
	MetricStatus.c	\
	MetricCategory.c	\
	MetricCalEntry.c	\
	MetricCalType.c	\
	MetricCalState.c	\
	MeasurementStatus.c	\
	SampleArrayDescriptiveDataSection.c	\
	SaSpec.c	\
	StorageDataType.c	\
	SaFlags.c	\
	ScaleRangeSpec.c	\
	SaFilterEntry.c	\
	FilterType.c	\
	SaGridEntry.c	\
	SaCalData.c	\
	SaCalDataType.c	\
	SaSignalFrequency.c	\
	RealTimeSampleArrayDescriptiveDataSection.c	\
	TimeSampleArrayDescriptiveDataSection.c	\
	DistributionSampleArrayDescriptiveDataSection.c	\
	DsaRangeSpec.c	\
	NumericDescriptiveDataSection.c	\
	EnumerationDescriptiveDataSection.c	\
	MeasuredDataSection.c	\
	SampleArrayMeasuredDataSection.c	\
	SampleArrayMeasuredDataBlock.c	\
	RealTimeSampleArrayMeasuredDataSection.c	\
	TimeSampleArrayMeasuredDataSection.c	\
	MarkerEntryRelTim.c	\
	DistributionSampleArrayMeasuredDataSection.c	\
	NumericMeasuredDataSection.c	\
	ChoiceOfNuObsValue.c	\
	NuObsValue.c	\
	DispResolution.c	\
	EnumerationMeasuredDataSection.c	\
	ChoiceOfEnumObsValue.c	\
	EnumObsValue.c	\
	EnumVal.c	\
	EnumObject.c	\
	EnumRecordMetric.c	\
	EnumRecordOO.c	\
	ChoiceOfEnumTimeStamp.c	\
	AlertSection.c	\
	AlertCondition.c	\
	AlertControls.c	\
	AlertFlags.c	\
	AlertType.c	\
	LimitSpecEntry.c	\
	CurLimAlStat.c	\
	DynamicAttributeChangeSection.c	\
	SessionNotesSection.c

ASN_MODULE_HEADERS=	\
	Address.h	\
	MetricMeasure.h	\
	UnitCode.h	\
	HealthCareProviderId.h	\
	INT-U64.h	\
	INT-I64.h	\
	INT-U32.h	\
	INT-I32.h	\
	INT-U16.h	\
	INT-I16.h	\
	INT-U8.h	\
	INT-I8.h	\
	BITS-32.h	\
	BITS-16.h	\
	BITS-8.h	\
	FEFString.h	\
	FEFFloat.h	\
	Fraction.h	\
	AbsoluteRange.h	\
	Handle.h	\
	HandleRef.h	\
	DeviceCode.h	\
	UnitsOfMeasurementCode.h	\
	MetricsCode.h	\
	BodySiteCode.h	\
	AlertCode.h	\
	ExtNomenclatureCode.h	\
	ParameterGroupCode.h	\
	PrivateCode.h	\
	Placeholder.h	\
	ManufacturerID.h	\
	AbsoluteTime.h	\
	RelativeTime.h	\
	HighResRelativeTime.h	\
	ObservationTime.h	\
	SimpleColour.h	\
	ExtNomenRef.h	\
	PersonNameGroup.h	\
	PersonName.h	\
	OID-Type.h	\
	SessionArchiveSection.h	\
	ArchiveProtection.h	\
	ManufacturerSpecificSection.h	\
	ManufacturerSpecificEncoded.h	\
	ManufacturerSpecificBinary.h	\
	HealthCareProviderSection.h	\
	HealthCareProfessionalSection.h	\
	Authorization.h	\
	PatientDemographicsSection.h	\
	PatMeasure.h	\
	PatientSex.h	\
	PatientType.h	\
	PatientRace.h	\
	SessionTestSection.h	\
	MedicalDeviceSystemSection.h	\
	SystemModel.h	\
	SystemSpecEntry.h	\
	ProdSpecEntryType.h	\
	ProdSpecEntry.h	\
	ApplicationArea.h	\
	PowerStatus.h	\
	LineFrequency.h	\
	MedicalDeviceComponents.h	\
	VirtualMedicalDeviceSection.h	\
	MsmtPrinciple.h	\
	ChannelDescriptionSection.h	\
	ChannelStatus.h	\
	MultimediaSection.h	\
	Comments.h	\
	ContentOrReference.h	\
	SessionPhaseSection.h	\
	DescriptiveDataSection.h	\
	MetricDescriptiveDataSection.h	\
	MetricStatus.h	\
	MetricCategory.h	\
	MetricCalEntry.h	\
	MetricCalType.h	\
	MetricCalState.h	\
	MeasurementStatus.h	\
	SampleArrayDescriptiveDataSection.h	\
	SaSpec.h	\
	StorageDataType.h	\
	SaFlags.h	\
	ScaleRangeSpec.h	\
	SaFilterEntry.h	\
	FilterType.h	\
	SaGridEntry.h	\
	SaCalData.h	\
	SaCalDataType.h	\
	SaSignalFrequency.h	\
	RealTimeSampleArrayDescriptiveDataSection.h	\
	TimeSampleArrayDescriptiveDataSection.h	\
	DistributionSampleArrayDescriptiveDataSection.h	\
	DsaRangeSpec.h	\
	NumericDescriptiveDataSection.h	\
	EnumerationDescriptiveDataSection.h	\
	MeasuredDataSection.h	\
	SampleArrayMeasuredDataSection.h	\
	SampleArrayMeasuredDataBlock.h	\
	RealTimeSampleArrayMeasuredDataSection.h	\
	TimeSampleArrayMeasuredDataSection.h	\
	MarkerEntryRelTim.h	\
	DistributionSampleArrayMeasuredDataSection.h	\
	NumericMeasuredDataSection.h	\
	ChoiceOfNuObsValue.h	\
	NuObsValue.h	\
	DispResolution.h	\
	EnumerationMeasuredDataSection.h	\
	ChoiceOfEnumObsValue.h	\
	EnumObsValue.h	\
	EnumVal.h	\
	EnumObject.h	\
	EnumRecordMetric.h	\
	EnumRecordOO.h	\
	ChoiceOfEnumTimeStamp.h	\
	AlertSection.h	\
	AlertCondition.h	\
	AlertControls.h	\
	AlertFlags.h	\
	AlertType.h	\
	LimitSpecEntry.h	\
	CurLimAlStat.h	\
	DynamicAttributeChangeSection.h	\
	SessionNotesSection.h

ASN_MODULE_HEADERS+=ANY.h
ASN_MODULE_SOURCES+=ANY.c
ASN_MODULE_HEADERS+=UTF8String.h
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=GeneralizedTime.h
ASN_MODULE_SOURCES+=GeneralizedTime.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=REAL.h
ASN_MODULE_HEADERS+=OBJECT_IDENTIFIER.h
ASN_MODULE_SOURCES+=OBJECT_IDENTIFIER.c
ASN_MODULE_SOURCES+=REAL.c
ASN_MODULE_SOURCES+=UTF8String.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
#ASN_CONVERTER_SOURCES+=converter-sample.c



lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
WIN32  = ../win32/libcnsfef.a ../win32/libcnsfef.dll
WIN64  = ../win64/libcnsfef.a ../win64/libcnsfef.dll
CFLAGS += -pipe -fPIC -Wall -O2 -Wextra  -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}
WINOBJS=${ASN_MODULE_SOURCES:.c=.obj} ${ASN_CONVERTER_SOURCES:.c=.obj}
W64OBJS=${ASN_MODULE_SOURCES:.c=.o64} ${ASN_CONVERTER_SOURCES:.c=.o64}

CC ?= gcc
MinGWCC   = $(CROSS)-gcc 
MinGW64CC = $(CROSS64)-gcc 

all: libcnsfef.a $(WIN32)

libcnsfef.a: $(OBJS) 
	$(AR) libcnsfef.a $(OBJS) 

../win32/libcnsfef.a: $(WINOBJS) 
	$(CROSS)-$(AR) ../win32/libcnsfef.a $(WINOBJS) 

../win64/libcnsfef.a: $(W64OBJS) 
	$(CROSS64)-$(AR) ../win64/libcnsfef.a $(W64OBJS) 

../win32/libcnsfef.dll: $(WINOBJS)
	$(MinGWCC) -shared -fPIC  $(WINOBJS)  -Wl,--output-def,../win32/libcnsfef.def,--out-implib,../win32/libcnsfef.dll

../win64/libcnsfef.dll: $(WINOBJS)
	$(MinGW64CC) -shared -fPIC  $(W64OBJS)  -Wl,--output-def,../win64/libcnsfef.def,--out-implib,../win64/libcnsfef.dll


.SUFFIXES:
.SUFFIXES: .c .o

%.obj: %.c
	$(CROSS)-$(CC) $(CFLAGS) -o "$@" -c "$<"
%.o64: %.c
	$(CROSS64)-$(CC) $(CFLAGS) -o "$@" -c "$<"

.c.o:
	$(CC) $(CFLAGS) -o "$@" -c "$<"

clean:
#	rm -f $(ASN_MODULE_HEADERS)
#	rm -f $(ASN_MODULE_SOURCES)
	rm -f libcnsfef.a $(WIN32)
	rm -f $(OBJS)
	rm -f $(WINOBJS)
	rm -f $(W64OBJS)
	rm -f Makefile.am.sample libfef.a 

regen: regenerate-from-asn1-source 

regenerate-from-asn1-source:
	asn1c -fcompound-names ../annexb-snacc-122001.asn1 
	rm -f converter-sample.c Makefile.am.sample libfef.a

=== macports/science/libbiosig/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           cmake 1.0

name                libbiosig
version             1.7.1
categories          science
platforms           darwin
license             GPL-3
maintainers         gmx.de:christsc
description         I/O library for biomedical data
long_description    BioSig is a library for accessing files in several \
                    biomedical data formats (including EDF, BDF, GDF, \
                    BrainVision, BCI2000, CFWB, HL7aECG, SCP_ECG (EN1064), \
                    MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100, FAMOS, \
                    SigmaPLpro, TMS32)
homepage            http://biosig.sourceforge.net/index.html
master_sites        sourceforge:biosig
master_sites.mirror_subdir \
                    /BioSig%20for%20C_C++/src
distname            biosig4c++-${version}.src
worksrcdir          biosig4c++-${version}
checksums           rmd160  85c8727652882437a70e5f1b15ffbe13a2b19838 \
                    sha256  f1b5cee4071506d8fdc1f8abe18ad6eab41743353638d9b5fdcfba0174cafb32

depends_build-append \
                    port:gawk
depends_lib         port:SuiteSparse \
                    port:zlib \
                    port:libiconv

cmake.out_of_source yes

configure.args-append \
                    -DUSE_SUITESPARSE=ON \
                    -DUSE_ZLIB=ON \
                    -DZLIB_INCLUDE_DIR=${prefix}/include \
                    -DZLIB_LIBRARY=${prefix}/lib/libz.dylib \
                    -DICONV_LIBRARY=${prefix}/lib/libiconv.dylib \
                    -DCHOLMOD_LIBRARY=${prefix}/lib/libcholmod.dylib

configure.cflags-append \
                    -DMACPORTS

configure.cxxflags-append \
                    -DMACPORTS

livecheck.regex     biosig4c\\+\\+-(\[0-9a-z.\]+)\\.src${extract.suffix}
